> For the complete documentation index, see [llms.txt](https://docs.cmsfullform.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.cmsfullform.com/documents/commands.md).

# Commands

The **PHPFast** framework provides a powerful command system to help developers easily manage and automate common tasks during application development. These commands are executed through the Command Line Interface (CLI) and include functionalities such as creating controllers, models, and database tables. Below is an overview of the main commands in this framework.

## Overview

Example for create Controller, add a new file in `system/Commands` and following this code:

```php
<?php
namespace System\Commands;

class ControllersCommand {
    public function create($name) {
        $controllerPath = ROOT_PATH . '/application/Controllers/' . ucfirst($name) . 'Controller.php';

        // Check if controller already exists
        if (file_exists($controllerPath)) {
            echo "Controller $name already exists.\n";
            return;
        }

        // Basic controller template
        $controllerContent = 'Add structure file here.'

        // Write the controller file
        file_put_contents($controllerPath, $controllerContent);
        echo "Controller $name created at $controllerPath.\n";
    }
}
```

In `init` file, register for new Command:

```php
use System\Commands\ControllersCommand;

$command = strtolower($argv[1]) ?? null;
$subCommand = $argv[2] ?? null;

switch ($command) {
    case 'controllers':
        $controllerCommand = new ControllersCommand();
        $controllerCommand->create($subCommand);
        break;
    default:
        echo "Invalid command. Available Commands: Controllers, Models, table.\n";
        break;
}
```

## How to use?

**Step 1: Open Terminal.**

**Step 2: Add the following code:**

```shellscript
php init controllers users
```

**Step 3: Check your defined path and view the result.**

{% hint style="success" %}
Summary

The command system in the **PHPFast** framework provides powerful tools to automate application management tasks such as creating controllers, models, and database tables. By using these commands, developers can save time and effort while ensuring consistency and efficiency in the development process.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.cmsfullform.com/documents/commands.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
